Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/results/DeleteObject.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/results/DeleteObject.java	(revision 1085)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/results/DeleteObject.java	(revision 1086)
@@ -51,7 +51,6 @@
 import org.eclipse.ui.internal.Workbench;
 import org.txm.Toolbox;
 import org.txm.core.engines.EngineType;
-import org.txm.core.preferences.TXMPreferences;
 import org.txm.core.results.TXMResult;
 import org.txm.objects.TxmObject;
 import org.txm.rcp.StatusLine;
@@ -63,11 +62,12 @@
 import org.txm.searchengine.cqp.corpus.MainCorpus;
 import org.txm.searchengine.cqp.corpus.Partition;
 import org.txm.utils.logger.Log;
-//import org.txm.functions.queryindex.QueryIndex;
-// TODO: Auto-generated Javadoc
+
 /**
- * Delete the selection: TXMObjects and results code for the results must be
- * added manually here @ author mdecorde.
+ * Deletes the selected results.
+ * 
+ * @author mdecorde
+ * 
  */
 public class DeleteObject extends AbstractHandler {
 
@@ -84,7 +84,9 @@
 
 		final IStructuredSelection selection = (IStructuredSelection) HandlerUtil.getCurrentSelection(event);
 		
-		if (!askContinueToDelete(selection)) return null;
+		if (!askContinueToDelete(selection)) {
+			return null;
+		}
 		
 		JobHandler job = new JobHandler("Deleting", true) {
 			@Override
@@ -131,21 +133,24 @@
 	}
 	
 	/**
-	 * Delete.
+	 * Deletes.
 	 *
-	 * @param sel the selection of object to delete
+	 * @param sel the selection of objects to delete
 	 */
 	public static HashSet<Object> delete(ISelection sel) {
 		IStructuredSelection selection = (IStructuredSelection) sel;
-		if (selection.size() == 0) return new HashSet<Object>();
 		
+		if (selection.size() == 0) {
+			return new HashSet<Object>();
+		}
+		
 		List<Object> objects = new ArrayList<Object>(selection.toList());
 		return delete(objects);
 	}
 	
 
 	/**
-	 * Delete.
+	 * Deletes.
 	 * 
 	 * TODO: select the parent object of the deleted object
 	 *
@@ -182,7 +187,7 @@
 				org.txm.Toolbox.restartWorkspace(null);
 				Toolbox.getEngineManager(EngineType.SEARCH).restartEngines();
 				
-				System.err.println(TXMUIMessages.AddBase_10);
+				Log.info(TXMUIMessages.AddBase_10);
 				StatusLine.setMessage(TXMUIMessages.AddBase_10);
 			}
 			
@@ -196,7 +201,8 @@
 						for(Object obj : allObjectDeleted) {
 							closeEditorOfSelection(obj);
 						}
-					} catch(Exception e) { }
+					} catch(Exception e) {
+					}
 				}
 			});
 		}
@@ -206,7 +212,7 @@
 	}
 
 	/**
-	 * Delete.
+	 * Deletes the specified object.
 	 *
 	 * @param o the o
 	 * @return the list
@@ -231,7 +237,8 @@
 						Log.info(TXMUIMessages.DeleteObject_3);
 						return new ArrayList<Object>(0);
 					}
-				} else if (o instanceof Partition) {
+				}
+				else if (o instanceof Partition) {
 					Partition p = (Partition)o;
 					for (int i = 0 ; i < p.getChildren().size() ; i++) {
 						deleted.addAll(delete(p.getChildren().get(i)));
@@ -249,10 +256,9 @@
 		// FIXME: when TXMResult will be implemented, only this code must be left
 		else if (o instanceof TXMResult) {
 			((TXMResult) o).delete();
-			System.out.println(NLS.bind(TXMUIMessages.DeleteObject_10, ((TXMResult) o).getName()));
+			Log.info(NLS.bind(TXMUIMessages.DeleteObject_10, ((TXMResult) o).getName()));
 		}
 
-
 		deleted.add(o);
 		
 		return deleted;
@@ -263,8 +269,7 @@
 	 *
 	 * @param o the object used by an editor
 	 */
-	public static void closeEditorOfSelection(Object o)
-	{
+	public static void closeEditorOfSelection(Object o) {
 		for (IWorkbenchPage page : getPages()) {
 			for (IEditorReference editorref : page.getEditorReferences()) {
 				IEditorPart editor = editorref.getEditor(false);
@@ -284,8 +289,7 @@
 	 *
 	 * @return the pages
 	 */
-	public static IWorkbenchPage[] getPages()
-	{
+	public static IWorkbenchPage[] getPages() {
 		for (IWorkbenchWindow win : Workbench.getInstance().getWorkbenchWindows()) {
 			return win.getPages();
 		}
Index: tmp/org.txm.index.core/src/org/txm/index/core/functions/Lexicon.java
===================================================================
--- tmp/org.txm.index.core/src/org/txm/index/core/functions/Lexicon.java	(revision 1085)
+++ tmp/org.txm.index.core/src/org/txm/index/core/functions/Lexicon.java	(revision 1086)
@@ -627,6 +627,10 @@
 		return true;
 	}
 
+	/**
+	 * Sets the unit property.
+	 * @param property the unit property
+	 */
 	public void setProperty(Property property) {
 		this.pProperty = property;
 	}
Index: tmp/org.txm.index.core/src/org/txm/index/core/functions/Index.java
===================================================================
--- tmp/org.txm.index.core/src/org/txm/index/core/functions/Index.java	(revision 1085)
+++ tmp/org.txm.index.core/src/org/txm/index/core/functions/Index.java	(revision 1086)
@@ -122,7 +122,7 @@
 	protected Integer pNLinesPerPage;
 	
 	/**
-	 * The word properties shown.
+	 * The word properties to display.
 	 */
 	@Parameter(key=TXMPreferences.UNIT_PROPERTIES)
 	protected List<WordProperty> pProperties;
@@ -647,8 +647,8 @@
 			selectedLines = lines.subList(start, end);
 
 			int p = 0;
-			for (Property property : pProperties) {// for each property get the string values
-				// values of the tokens
+			// for each property get the string values of the tokens
+			for (Property property : pProperties) {
 
 				int len = 0;
 				for (Line l : selectedLines) {
@@ -665,12 +665,11 @@
 				String[] strs = null;
 				try {
 					if (property instanceof StructuralUnitProperty) {
-						strs = CorpusManager.getCorpusManager().getCqiClient()
-								.struc2Str(property.getQualifiedName(), indices);
-					} else {
-						strs = CorpusManager.getCorpusManager().getCqiClient()
-								.id2Str(property.getQualifiedName(), indices);
+						strs = CorpusManager.getCorpusManager().getCqiClient().struc2Str(property.getQualifiedName(), indices);
 					}
+					else {
+						strs = CorpusManager.getCorpusManager().getCqiClient().id2Str(property.getQualifiedName(), indices);
+					}
 				} catch (Exception e) {
 					org.txm.utils.logger.Log.printStackTrace(e);
 					return null;
@@ -947,7 +946,9 @@
 			Line line = new Line();
 			Match match = matches.get(i);
 			int size = match.size();
-			if (isTargetUsed) size = 1;
+			if (isTargetUsed) {
+				size = 1;
+			}
 			for (int p = 0; p < pProperties.size(); p++) {
 				Property property = pProperties.get(p);
 				int[] allprosids = propsId.get(property);
@@ -987,16 +988,26 @@
 
 	}
 
+	/**
+	 * 
+	 * @param mode
+	 */
 	public void setLexiconMode(boolean mode) {
 		this.lexiconMode = mode;
 	}
 
-
-
+	/**
+	 * 
+	 * @param nLinesPerPage
+	 */
 	public void setNLinesPerPage(int nLinesPerPage) {
 		this.pNLinesPerPage = Math.max(nLinesPerPage, 1);
 	}
 
+	/**
+	 * 
+	 * @param props
+	 */
 	public void setParameters(List<WordProperty> props) {
 		this.pQuery = new CQLQuery("[]"); //$NON-NLS-1$
 		this.pProperties = props;
@@ -1101,25 +1112,29 @@
 	 * @throws CqiClientException the cqi client exception
 	 * @throws IOException Signals that an I/O exception has occurred.
 	 */
-	public void toConsole(int from, int to) throws CqiClientException,
-	IOException {
+	public void toConsole(int from, int to) throws CqiClientException, IOException {
 
 		String header = ""; //$NON-NLS-1$
-		for (Property p : pProperties)
+		for (Property p : pProperties) {
 			header += (p + pPropertiesSeparator);
+		}
 		header = header.substring(0, header.length() - 1);
 		header += "\tF"; //$NON-NLS-1$
-		if (partnames.size() > 1)
-			for (int j = 0; j < partnames.size(); j++)
+		if (partnames.size() > 1) {
+			for (int j = 0; j < partnames.size(); j++) {
 				header += "\t" + partnames.get(j); //$NON-NLS-1$
+			}
+		}
 
 		System.out.println(header);
 		for (int i = from; i < to; i++) {
 			Line ligne = lines.get(i);
 			System.out.print(ligne + "\t" + ligne.getFrequency()); //$NON-NLS-1$ 
-			if (partnames.size() > 1)
-				for (int j = 0; j < partnames.size(); j++)
+			if (partnames.size() > 1) {
+				for (int j = 0; j < partnames.size(); j++) {
 					System.out.print("\t" + ligne.getFrequency(j)); //$NON-NLS-1$
+				}
+			}
 			System.out.print("\n"); //$NON-NLS-1$
 		}
 		System.out.flush();
